[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Chopper` Component

Disk chopper.

## Identification

- Author: Philipp Bernhardt
- Origin: Risoe
- Date: Januar 22 1999
- Version: 1.20

## Description

    Models a disc chopper with n identical slits, which are symmetrically disposed
    on the disc.
    If the chopper is the 1st chopper of the instrument, it sets t time with phase

    Example: Chopper(R=0.2, w=0.05, f=2500.0, n=3, pha=0, IsFirst=1) First chopper
             Chopper(R=0.2, w=0.05, f=2500.0, n=3, pha=0, IsFirst=0)

    Example values: w=0.05 R=0.5 f=2500 n=3 pha=0 n_pulse=1

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
R | m | Radius of the disc |
w | m | Width of the slits at the bottom side | 0.05
f | rad/s | angular frequency of the Chopper (algebraic sign defines the direction of rotation) | 2500.0
n | 1 | Number of slits | 3
pha | s | Phase | 0
IsFirst | 0/1 | Set it to 1 for the first chopper position in a cw source (it then spreads the neutron time distribution) | 0
n_pulse | 1 | Number of pulses | 1

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
Tg |  |  |
T |  |  |
To |  |  |

## Links

- Source code for `Chopper.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]